Skip to main content
GET
/
v1
/
rooms
Get all rooms
curl --request GET \
  --url https://dev.flextell.ai/api/v1/rooms \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null
Required range: 1 <= x <= 100
page
integer | null
Required range: x >= 1
sort_by
enum<string> | null
Available options:
name,
status,
created_at,
updated_at
sort_order
enum<string> | null
Available options:
asc,
desc
status
enum<string> | null
Available options:
active,
inactive,
maintenance
trashed
boolean | null

Response

Paginated set of RoomResource

data
RoomResource · object[]
required
meta
object
required